# Class SendBtcRequest

#### Hierarchy

- unknown
  - SendBtcRequest

- Defined in src/protobuf/grpc_pb.d.ts:3386
- Defined in src/protobuf/grpc_pb.d.ts:3407

#####
Index

### Constructors

constructor

### Methods

getAddress
getAmount
getMemo
getTxFeeRate
serializeBinary
setAddress
setAmount
setMemo
setTxFeeRate
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SendBtcRequest(): SendBtcRequest

- #### Returns SendBtcRequest

  Inherited from jspb.Message.constructor

## Methods

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3387

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3390

### getMemo

- getMemo(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3396

### getTxFeeRate

- getTxFeeRate(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3393

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3399

### setAddress

- setAddress(value: string): SendBtcRequest

- #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3388

### setAmount

- setAmount(value: string): SendBtcRequest

- #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3391

### setMemo

- setMemo(value: string): SendBtcRequest

- #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3397

### setTxFeeRate

- setTxFeeRate(value: string): SendBtcRequest

- #### Parameters

  - ##### value: string

  #### Returns SendBtcRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3394

### toObject

- toObject(includeInstance?: boolean): SendBtcRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SendBtcRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3400

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendBtcRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendBtcRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3403

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendBtcRequest, reader: BinaryReader): SendBtcRequest

- #### Parameters

  - ##### message: SendBtcRequest

  - ##### reader: BinaryReader

  #### Returns SendBtcRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3404

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SendBtcRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SendBtcRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3402

### `Static` toObject

- toObject(includeInstance: boolean, msg: SendBtcRequest): SendBtcRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendBtcRequest

  #### Returns SendBtcRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3401

Generated using TypeDoc